#pragma rtGlobals= 3
#pragma version = 0.03
#pragma ModuleName = HERIXfirst
#pragma hide = 1
#include "Utility_JZT"
#excludeFromPackageMenu

Execute "SetIgorOption colorize,UserFuncsColorized=1"
Strconstant browserLeadJZT="\r--> moved to ", browserTailJZT="\r\r"
ModifyBrowser echoCommands=0, command3="print browserLeadJZT,GetDataFolder(1),browserTailJZT"



Menu "Herix", dynamic
	HERIXfirst#MenuItemIfNoFunction("Load Herix Functions","Init_herix",invisible=1), HERIXfirst#LoadHerixFunctions()
End


Menu "Graph"
	"Set Aspect Ratio to Get Square Pixels \ Range",SetAspectToSquarePixels("")
End


Static Function IgorStartOrNewHook(IgorApplicationNameStr)
	String IgorApplicationNameStr
	printf "got IgorStartOrNewHook() in JZT first.ipf,     %s		%s\r",IgorApplicationNameStr,IgorInfo(1)
	return 0
End

Static Function LoadHerixFunctions()
	Execute/P "INSERTINCLUDE \"Herix\""
	Execute/P "COMPILEPROCEDURES "
	Execute/P "Init_herix()"
	Execute/P "INSERTINCLUDE \"VoigtDeconvolve\""
	Execute/P "INSERTINCLUDE \"DampedHarmonicOscillator\""
	Execute/P "COMPILEPROCEDURES "
End


Static Function/S MenuItemIfNoFunction(item,funcName,[invisible])
	String item							// string that you want to appear in menu
	String funcName					// name of function to check for
	Variable invisible				// controls menu item when conditions not met: true -> menu item absent, false or absent -> menu item grayed out
	invisible = ParamIsDefault(invisible) ? 0 : invisible
	invisible = numtype(invisible) ? 0 : invisible

	Variable ifunc = exists(funcName)
	ifunc = (ifunc>=3 && ifunc<=6)	// true means function exists
	if (!ifunc)
		return item
	elseif (invisible)
		return ""		
	else
		return "("+item
	endif
End

//	#if stringmatch(IgorInfo(2),"Macintosh")
//	Static Function Igor2()
//		String igorPath=""
//		if (IgorVersion()<=6.33)
//			igorPath = SpecialDirPath("Igor Application", 0, 0, 0)
//			igorPath = ParseFilePath(5, igorPath, "/", 0, 0)
//		else
//			igorPath = SpecialDirPath("Igor Application",0,1,0)
//		endif
//		String cmd = "open -n " + "\\\"" + igorPath + "\\\""
//		ExecuteScriptText "do shell script \"" + cmd + "\""
//		if (strlen(S_value)>2)
//			print S_value
//		endif
//	End
//	#endif

//  ======================================================================================  //
//  ======================================================================================  //

